slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDSetWorkVecs

Sets a number of work vectors into an SVD object.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetWorkVecs(SVD svd,PetscInt nleft,PetscInt nright)

Collective

### Input Parameters

| svd | - singular value solver context
| nleft | - number of work vectors of dimension equal to left singular vector
| nright | - number of work vectors of dimension equal to right singular vector

### Developer Notes

This is SLEPC_EXTERN because it may be required by user plugin SVD implementations.

### See Also

SVDSetUp()

### Level

developer

### Location

src/svd/interface/svddefault.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages